<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>Invitation form</util:comment>
<util:header>
  <util:title><%= view.getRequestAttribute("invitation.title").toString() %></util:title>
  <util:subtitle><%= view.getRequestAttribute("invitation.subtitle").toString() %></util:subtitle>
</util:header>
<FORM METHOD=POST ACTION="<%= view.getRequestAttribute("invitation.action").toString() %>">
  <DIV CLASS="content">
    <%= view.getRequestAttribute("invitation.params").toString() %>
    <TABLE BORDER=0 CELLPADDING=0>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=LEFT CLASS="content">
          <util:font color="content.fg" size="content">Send to:&nbsp;</util:font>
        </TD>
        <TD ALIGN=LEFT CLASS="cinput"><INPUT TYPE=TEXT CLASS="cinput" NAME="addr" SIZE=65
	                                     MAXLENGTH=255 VALUE=""></TD>
      </TR>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=LEFT COLSPAN=2 CLASS="content">
          <util:font color="content.fg" size="content">Personal message to be added to invitation:</util:font>
        </TD>
      </TR>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=LEFT COLSPAN=2 CLASS="cinput"><TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA></TD>
      </TR>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
        <util:button id="send" type="input"/>&nbsp;<util:button id="cancel" type="input"/>
      </TD></TR>
    </TABLE>
  </DIV>
</FORM>
