<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView view = JSPView.get(request);
  List community_list = (List)(view.getRequestAttribute("communities.list"));
%>
<util:comment>User community hotlist</util:comment>
<util:header title="Your Communities"/>
<util:font color="content.fg" size="content">
  <util:link href="top.js.vs" type="servlet">Return to Front Page</util:link>
</util:font><P>
<% if (community_list.size()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=2>
    <% for (int i=0; i<community_list.size(); i++) { %>
      <% CommunityContext comm = (CommunityContext)(community_list.get(i)); %>
      <TR>
        <TD ALIGN=CENTER WIDTH=16>
	  <% if (comm.canUnjoin()) { %>
            <util:xlink>
              <util:href type="servlet">comm/sb_unjoin.js.vs?cc=<%= comm.getCommunityID() %></util:href>
              <util:text><util:image src="icn_x.gif" fixup="true" alt="Unjoin" width="16"
                                     height="16"/></util:text>
            </util:xlink>
          <% } else { %>&nbsp;<% } %>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <util:xlink>
            <util:href type="servlet">community/<%= comm.getAlias() %></util:href>
            <util:text><util:escape><%= comm.getName() %></util:escape></util:text>
          </util:xlink>
        </util:font></TD>
      </TR>
    <% } // end for %>
  </TABLE><P>

  <TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_x.gif" fixup="true" alt="Unjoin" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to unjoin the specified community.
      </util:font></TD>
    </TR>
  </TABLE>
<% } else { %>
  <util:font color="content.fg" size="content"><EM>You are not a member of any communities.</EM></util:font>
<% } // end if %>
