<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ taglib uri="/tlds/frame" prefix="frame" %>
<%@ taglib uri="/tlds/user" prefix="user" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<HTML>
<frame:head/>

<frame:body>
  <util:comment>BEGIN PAGE HEADER</util:comment>
  <TABLE CLASS="tbar" BORDER=0 BGCOLOR="<util:color name="top.bg"/>" WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT WIDTH=20% CELLPADDING=2 CLASS="tbar">
        <util:comment>Site logo</util:comment>
	<frame:sitelogo/>
      </TD>

      <TD ALIGN=CENTER WIDTH=30% CELLPADDING=2 CLASS="tbar"><util:font color="top.fg" size="top"><B>
        <util:comment>Links to Front Page, Help, Find</util:comment>
	<util:link aclass="tbar" href="top.js.vs"
                   type="servlet"><util:font color="top.link">Front Page</util:font></util:link>
        <P>
	<util:link aclass="tbar" href="/TODO"
                   type="absolute"><util:font color="top.link">Help</util:font></util:link>
        &nbsp;|&nbsp;
	<util:link aclass="tbar" href="find.js.vs"
                   type="servlet"><util:font color="top.link">Find</util:font></util:link>
      </B></util:font></TD>

      <TD ALIGN=RIGHT WIDTH=50% CELLPADDING=2 CLASS="tbar">
	<util:comment>Banner Ad</util:comment>
	<frame:banner_ad/>
      </TD>
    </TR>
    <util:comment>Login reminders</util:comment>
    <TR VALIGN=MIDDLE><TD ALIGN=CENTER COLSPAN=3 CLASS="tbar"><util:font color="top.fg" size="top">
      <user:is_logged_in>
        You are logged in as <B><util:escape><user:name/></util:escape></B>
        <frame:display_login>
          &nbsp;-&nbsp;
          <util:link aclass="tbar" href="logout.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Log Out</util:font></util:link>
          <user:is_not_verified>
            &nbsp;|&nbsp;
            <util:link aclass="tbar" href="verify_email.js.vs?tgt=${location}"
                       type="servlet"><util:font color="top.link">Verify E-Mail</util:font></util:link>
          </user:is_not_verified>
          &nbsp;|&nbsp;
          <util:link aclass="tbar" href="profile.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Profile</util:font></util:link>
        </frame:display_login>
      </user:is_logged_in>
      <user:is_not_logged_in>
        You are not logged in
        <frame:display_login>
          &nbsp;-&nbsp;
          <util:link aclass="tbar" href="login.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Log In</util:font></util:link>
          &nbsp;|&nbsp;
          <util:link aclass="tbar" href="new_account.js.vs?tgt=${location}"
                     type="servlet"><util:font color="top.link">Create Account</util:font></util:link>
	</frame:display_login>
      </user:is_not_logged_in>
    </util:font></TD></TR>
  </TABLE>
  <util:comment>END PAGE HEADER</util:comment>

  <TABLE BORDER=0 WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 CLASS="lbar" BGCOLOR="<util:color name="left.bg"/>">
        <TABLE ALIGN=LEFT WIDTH=120 CELLPADDING=0 CELLSPACING=0>
          <util:comment>BEGIN LEFT SIDEBAR</util:comment>
	  <TR VALIGN=TOP><TD VALIGN=LEFT CLASS="lbar"><util:font color="left.fg" size="left">
	    <util:comment>variable menu</util:comment>
            <frame:currentmenu/>
          </util:font></TD></TR>

          <TR VALIGN=TOP><TD VALIGN=LEFT>&nbsp;</TD></TR>
          <TR VALIGN=TOP><TD VALIGN=LEFT CLASS="lbar"><util:font color="left.fg" size="left">
	    <util:comment>fixed menu</util:comment>
            <frame:leftmenu name="fixed"/>
          </util:font></TD></TR>

	  <util:comment>END LEFT SIDEBAR</util:comment>

        </TABLE>
      </TD>

      <TD ALIGN=LEFT WIDTH="100%" BGCOLOR="<util:color name="content.bg"/>" CLASS="content">
	<util:comment>BEGIN PAGE CONTENT</util:comment>
        <frame:content_here/>
  	<util:comment>END PAGE CONTENT</util:comment>
      </TD>
    </TR>

    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 CLASS="lbar" BGCOLOR="<util:color name="left.bg"/>">&nbsp;</TD>
      <TD ALIGN=LEFT WIDTH="100%" BGCOLOR="<util:color name="content.bg"/>" CLASS="footer">
        <util:comment>PAGE FOOTER</util:comment>
	<HR WIDTH="80%">
        <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=6>
          <TR VALIGN=TOP>
            <TD ALIGN=RIGHT CLASS="footer">
              <util:font color="content.fg" size="1"><util:stock_message key="footer-text"/></util:font>
            </TD>
            <TD <frame:if_QID>ROWSPAN=2</frame:if_QID> ALIGN=LEFT CLASS="footer"><frame:venice_logo/></TD>
          </TR>
          <frame:if_QID>
	    <TR VALIGN=TOP><TD ALIGN=RIGHT CLASS="footer">
	      <util:comment>HITCOUNTER FOR QID "<frame:QID/>"</util:comment>
	      <%-- Reserved for future use --%>
            </TD></TR>
          </frame:if_QID>
        </TABLE> 
      </TD>
    </TR>

  </TABLE>
</frame:body>
</HTML>
