<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "com.silverwrist.venice.ui.view.PhotoUploader" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<% PhotoUploader view = PhotoUploader.get(request); %>
<util:comment>Photo uploading page</util:comment>
<util:header title="<%= view.getPageTitle() %>"/>
<FORM METHOD="POST" ENCTYPE="multipart/form-data" ACTION="<%= view.getAction() %>">
  <%= view.getHiddenParams() %>
  <TABLE ALIGN="LEFT" CLASS="content" BORDER=0 CELLPADDING=0 CELLSPACING=2><TR VALIGN=TOP>
    <TD ALIGN=CENTER WIDTH=100><%= view.getPhotoTag() %></TD>
    <TD ALIGN=LEFT><util:font color="content.fg" size="content">
      <util:escape><%= view.getLabel() %></util:escape>:<BR>
      <INPUT TYPE="FILE" NAME="thepic"><P>
      <util:button id="upload" type="input"/>&nbsp;<util:button id="cancel" type="input"/>
    </util:font></TD>
  </TR></TABLE>
</FORM>
