<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.ui.helpers.ImportHelper" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView view = JSPView.get(request);
  ImportHelper ihelper = (ImportHelper)(view.getRequestAttribute("import.helper"));
%>
<util:comment>Import Users - Results</util:comment>
<util:header title="Results From Importing User Accounts"/>
<DIV CLASS="content"><util:font color="content.fg" size="content">
  <util:link href="sysadmin/menu.js.vs" type="servlet">Return to System Administration Menu</util:link><P>
  <FONT SIZE=+1><B>Processed <%= ihelper.getProcessed() %> record(s); <%= ihelper.getErrors() %>
  error(s) reported.</B></FONT><HR>
  <%= ihelper.getMessage() %>
</util:font></div>
