<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>Custom blocks for conference "<conf:name/>"</util:comment>
<util:header title="Customize Conference:">
  <util:subtitle><conf:name/></util:subtitle>
</util:header>

<util:form action="conf/custom.js.vs" type="servlet"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="cc" VALUE="<comm:ID/>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<conf:ID/>">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><util:font color="content.fg" size="content">
        Custom HTML block to appear at top of Topic List/Posts pages:
      </util:font></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2>
        <TEXTAREA NAME="tx" WRAP=HARD ROWS=7 COLS=80><%= view.getRequestAttribute("conference.custom.top") %></TEXTAREA>
      </TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><util:font color="content.fg" size="content">
        Custom HTML block to appear at bottom of Topic List/Posts pages:
      </util:font></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2>
        <TEXTAREA NAME="bx" WRAP=HARD ROWS=7 COLS=80><%= view.getRequestAttribute("conference.custom.bottom") %></TEXTAREA>
      </TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content">
        <util:button id="update" type="input"/>&nbsp;<util:button id="cancel" type="input"/>
      </TD>
      <TD ALIGN=RIGHT CLASS="content"><util:xlink>
        <util:href type="servlet">conf/custom_remove.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
        <util:text><util:button id="remove"/></util:text>
      </util:xlink></TD>
    </TR>
  </TABLE>
</DIV></util:form>
