<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>E-mail to conference "<conf:name/>"</util:comment>
<util:header title="Conference E-Mail:">
  <util:subtitle><conf:name/></util:subtitle>
</util:header>

<util:form action="conf/email.js.vs" type="servlet"><DIV>
  <INPUT TYPE="HIDDEN" NAME="cc" VALUE="<comm:ID/>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<conf:ID/>">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><util:font color="content.fg" size="content">
        Send E-mail to all&nbsp;
        <SELECT NAME="porl" SIZE="1">
          <OPTION VALUE="0" SELECTED>posters in</OPTION>
          <OPTION VALUE="1">readers of</OPTION>
        </SELECT>
        &nbsp;topic:&nbsp;
        <SELECT NAME="top" SIZE="1">
          <OPTION VALUE="0" SELECTED>(Entire conference)</OPTION>
<%
          List topics = (List)(view.getRequestAttribute("topic.email.list"));
          Iterator it = topics.iterator();
%>
          <% while (it.hasNext()) { %>
            <% TopicContext topic = (TopicContext)(it.next()); %>
     <OPTION VALUE="<%= topic.getTopicNumber() %>"><util:escape><%= topic.getName() %></util:escape></OPTION>
          <% } // end while %>
        </SELECT>
      </util:font></TD>
    </TR>

    <TR VALIGN=MIDDLE>
      <TD>&nbsp;</TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        <INPUT TYPE=CHECKBOX NAME="xday" VALUE="Y">
        Within the last <INPUT TYPE=TEXT NAME="day" VALUE="7" SIZE=3> day(s)
      </util:font></TD>
    </TR>

    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content">
        <util:font color="content.fg" size="content">Subject:</util:font>
      </TD>
      <TD ALIGN=LEFT CLASS="cinput"><INPUT TYPE=TEXT CLASS="cinput" NAME="subj" SIZE=65
	                                   MAXLENGTH=255 VALUE=""></TD>
    </TR>

    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2><TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA></TD>
    </TR>
    <TR VALIGN=MIDDLE><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <util:button id="send" type="input"/>&nbsp;<util:button id="cancel" type="input"/>
    </TD></TR>
  </TABLE>
</DIV></util:form>