<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "com.silverwrist.venice.ui.helpers.LogInOrCreate" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<% LogInOrCreate view = LogInOrCreate.get(request); %>
<util:comment>Log In or Create dialog</util:comment>
<util:header title="Log In or Create Account"/>
<util:font color="content.fg" size="content">
  You must log in or create an account before you can view this page.<P>
  Returning users
  <util:xlink>
    <util:href type="servlet">login.js.vs?tgt=<%= view.getTargetParam() %></util:href>
    <util:text>log in here</util:text>
  </util:xlink>.<P>
  New users
  <util:xlink>
    <util:href type="servlet">new_account.js.vs?tgt=<%= view.getTargetParam() %></util:href>
    <util:text>create an account here</util:text>
  </util:xlink>.<P>
</util:font>